Global entities

All global declarations share the same namespace so their names may not conflict. This includes extended data types and built-in functions registered by the host application. Also, all declarations are visible to all, e.g. a function to be called does not have to be declared above the function that calls it.

- Functions
- Variables
- Virtual properties
- Script classes
- Interfaces
- Mixin class
- Enums
- Funcdefs
- Typedefs
- Namespaces
- Imports